try
    clear device
end
warning('off');
clc;
clear;
figure(1)
cla;
box on;
xlim([-5,5]);
ylim([-100,2000]);
device = serialport("COM6",9600);
device.Timeout = 1;
tic;
told = 0;
ballY = 1000;
ballVy = 0;
padY = 0;
padVy = 0;
while(1)
    t  = toc;
    try
        data = char(readline(device));
        input = str2num(data(1:end-1));
        if(isempty(input))
            disp('hello');
            error;
        end
    catch
        input = 0;
    end
    pause(.005);
    if((input==1)&&(padY==0))
        padVy = 100;
        padY = padY+(t-told)*padVy;
        ballVy = ballVy-9.8*(t-told);
        ballY = ballY+(t-told)*ballVy;
    elseif(padY >= 400)
        padVy = 0;
        padY = 0;
        ballVy = ballVy-9.8*(t-told);
        ballY = ballY+(t-told)*ballVy;
    elseif(padY >= ballY)
        ballVy = padVy;
        ballY = ballY+(t-told)*ballVy;
        padY = padY+(t-told)*padVy;
    else
        ballVy = ballVy-9.8*(t-told);
        ballY = ballY+(t-told)*ballVy;
        padY = padY+(t-told)*padVy;
    end
    hold on;
    line([-1,1],[padY,padY],'linewidth',4);
    pause(.001);
    scatter(0,ballY,50);
    pause(.001);
    hold off;
    told = t;
end