#define BTN 14
#define LED 15
#define PIN_MAP_STANDARD

int BTNStatus;
int lastBTNStatus = 1;
int LEDStatus = 0;

long DBTime = 0;
long DBDelay = 30;

void setup(){
  Serial.begin(9600);
  pinMode(BTN,INPUT);
  pinMode(LED,OUTPUT);

  digitalWrite(LED,LEDStatus);
}

void loop(){
  if ((millis() - DBTime) > DBDelay) {
    DBTime = millis();
    int reading = digitalRead(BTN);
    if (reading == LOW) {
      LEDStatus = HIGH;
      Serial.println("1");
    }
    else {
      LEDStatus = LOW;
      Serial.println("0");
    }
  }
  digitalWrite(LED, LEDStatus);
}
